# notes.kaplon.us #
Minimum viable notes app.
All notes go into a single, plaintext file.
All changes are backed up and synced to multiple clients thanks to websockets, node, and git.

vim mode is ~~strictly enforced~~ highly encouraged (apologies for forcing my keybindings on you):
- `:` and `;` are swapped
- `jj` escapes insert mode / `ctrl + c` works as well

Markdown is highlighted, but not rendered.

A working demo is hosted at [notes.kaplon.us](https://notes.kaplon.us).
Login with credentials `demo/demo`.
Open a new incognito browser window, log in again, and watch your changes appear in the other window.
Complete version history is committed to a separate [data repo](https://hub.kaplon.us/jody/note-data-demo/commits/branch/master).

This side-project uses the excellent [CodeMirror editor](http://codemirror.net).
The experience from a mobile-browser isn't great, but my main use case is within a desktop browser.

